<?php

  include('conexion.php');

  if(!isset($_POST["CARNET"])) header("Location: index.php");

  $CARNET=$_POST["CARNET"];
  $SEMESTRE ='2-2024';

  //para el encabezado
  
  $consulta = "SELECT * FROM tbAsignacion WHERE CARNET = '$CARNET' AND 
  SEMESTRE = '$SEMESTRE'";
  
  $resultado = mysqli_query($conn, $consulta);

  $fila = mysqli_fetch_assoc($resultado);

   $NUMCARNET = $fila['CARNET'];
   $NOMCOMPLETO = utf8_encode(strtoupper(utf8_decode($fila['NOMBRE'])));
   $INSCRITO = $fila['INSCRITO'];
   $TRASLAPE = $fila['TRASLAPE'];
   $SEXTOCURSO = $fila['6TOCURSO'];
   $CARRERA = $fila['CARRERA'];
   $NOTIFICACION = "";
   
   if (strlen($SEXTOCURSO)>1){
      $NOTIFICACION = "-" . $SEXTOCURSO;
   }

 ?>
  
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Asignación de cursos 2-2024</title>
    <link rel="shortcut icon" href="favicon.png">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
            integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <!--Fontasome-->
        <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"
            integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">

  </head>
  <body>

    <div class="container">

        <nav class="navbar navbar-dark bg-dark">
            <div class="container">
                <a href="https://usacecpweb.edu.gt/cntrl/asignacion2-2024/" class="navbar-brand"><< REGRESAR</a>
            </div>
        </nav>
        
        <center><IMG SRC="logoUSACECP.png" WIDTH=345 HEIGHT=132 BORDER=1></center>
        <h5 style="text-align: center;"><strong>DEPARTAMENTO DE CONTROL ACAD&Eacute;MICO</strong></h5>    
        <h5 style="text-align: center;"><strong>CONSULTA DE ASIGNACI&Oacute;N DE CURSOS</strong></h5>
        <h5 style="text-align: center;"><strong>SEMESTRE 2-2024</strong></h5>
        
        <p>&nbsp;</p>
        
        <strong><?php echo "CARNET: $NUMCARNET"; ?></strong><br>
        <strong><?php echo "NOMBRE:" . " " . $NOMCOMPLETO; ?></strong><br>
        <?php
        
        $NOMCARRERA = "";
        
        switch ($CARRERA) 
        
            {
        
            case '1':
                $NOMCARRERA = "LICENCIATURA EN CIENCIA POLITICA";
                break;
            case '2':
                $NOMCARRERA = "LICENCIATURA EN SOCIOLOGIA";
                break;        
            case '3':
                $NOMCARRERA = "LICENCIATURA EN RELACIONES INTERNACIONALES";
                break;
            }
        
        ?>
        
        
        <strong><?php echo "INSCRITO: $INSCRITO - CARRERA: $NOMCARRERA"; ?></strong><br>
        
        <p><h5><strong><?php echo "$TRASLAPE"; ?></strong></h5></p>
        <br>
        <p><strong><?php echo "$NOTIFICACION"; ?></strong></p>
        <br>

        <p><h5><center><strong>
            CURSOS DONDE HAYA TRASLAPE DE HORARIO, CURSOS QUE NO TENGAN APROBADO EL PRERREQUISITO U OTRA INCONSISTENCIA EN SU ASIGNACIÓN NO FIGURARÁN DE LOS LISTADOS OFICIALES<br /><br /></strong></center></h5></p>
        <p><center><strong>NOTA: Esta informaci&oacute;n proviene de la plataforma Moodle.  Dudas o correcciones, escribe a: usac.ecpv2@gmail.com a más tardar el 30 de septiembre 2024<br /></strong></center></p>

        <div class="col-md-12 mx-auto">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th>CODIGO</th>
                        <th>CURSO</th>
                        <th>SEMESTRE</th>
                        <th>SECCION</th>
                        <th>PRERREQUISITO</th>
                        <th>DIA 1</th>
                        <th>DIA 2</th>
                        <th>PROFESOR</th>
                        <th>JORNADA</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    
                        $query = "SELECT * FROM tbAsignacion WHERE Carnet = '$NUMCARNET' AND SEMESTRE = '$SEMESTRE' ORDER BY CODIGO ASC";
                        $result = mysqli_query($conn, $query);

                        $totalFilas = mysqli_num_rows($result);
                        
                        
                        while($row = mysqli_fetch_array($result)){
                        #Obtiene una fila de resultados como un array asociativo, numérico, o ambos
                    ?>
            
                    
                    <tr>

                        <td><?php echo $row['CODIGO'] ?></td>
                        <td><?php echo utf8_encode(utf8_decode($row['CURSO'])) ?></td>
                        <td><?php echo $row['CICLO'] ?></td>
                        <td><?php echo $row['SECCION'] ?></td>
                        <td><?php echo $row['Prerrequisito'] ?></td>
                        <td><?php echo $row['DIA_1'] ?></td>
                        <td><?php echo $row['DIA_2'] ?></td>
                        <td><?php echo utf8_encode(utf8_decode($row['PROFESOR'])) ?></td>
                        <td><?php echo $row['JORNADA'] ?></td>
                        
                    </tr>
                  <?php } ?>
                    
                </tbody>
            </table>
            <strong><?php echo "Total de Cursos Asignados:  $totalFilas"; ?></strong><br><br>
        </div> <!--End col-md-8-->
    </div> <!--End row-->
</div><!--End container p-4-->
</div><!--End container-->
</body>
</html>


      